MongoCode::__construct
MongoDate
MongoCode
PHP Manual

# MongoCode::__toString

Returns this code as a string

### Description

public string MongoCode::__toString ( void )

### Parameters

This function has no parameters.

### Return Values

This code, the scope is not returned.

### Examples

Example #1 MongoCode::__toString example

`<?php
$code = new MongoCode('return x;', array("x"=>"hi"));
echo "$code\n";
$code = new MongoCode('function() { for(i=0;i<10;i++) { db.foo.update({x:i}, {x:i+1}); } }');
echo "$code\n";
?>`

The above example will output something similar to:

    return x;
    function() { for(i=0;i<10;i++) { db.foo.update({x:i}, {x:i+1}); } }